[arch-commits] Commit in moc/repos (6 files)

Ionut Biru ibiru at archlinux.org
Sun Jul 8 09:31:56 UTC 2012


    Date: Sunday, July 8, 2012 @ 05:31:55
  Author: ibiru
Revision: 163156

db-move: moved moc from [testing] to [extra] ( i686,  x86_64)

Added:
  moc/repos/extra-i686/PKGBUILD
    (from rev 163141, moc/repos/testing-i686/PKGBUILD)
  moc/repos/extra-x86_64/PKGBUILD
    (from rev 163141, moc/repos/testing-x86_64/PKGBUILD)
Deleted:
  moc/repos/extra-i686/PKGBUILD
  moc/repos/extra-x86_64/PKGBUILD
  moc/repos/testing-i686/
  moc/repos/testing-x86_64/

-----------------------+
 extra-i686/PKGBUILD   |  112 ++++++++++++++++++++++++------------------------
 extra-x86_64/PKGBUILD |  112 ++++++++++++++++++++++++------------------------
 2 files changed, 112 insertions(+), 112 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2012-07-08 09:31:52 UTC (rev 163155)
+++ extra-i686/PKGBUILD	2012-07-08 09:31:55 UTC (rev 163156)
@@ -1,56 +0,0 @@
-# $Id$
-# Maintainer: Eric Bélanger <eric at archlinux.org>
-
-pkgname=moc
-pkgver=20120224
-pkgrel=1
-pkgdesc="An ncurses console audio player with support for the mp3, ogg, and wave formats"
-arch=('i686' 'x86_64')
-url="http://moc.daper.net/"
-license=('GPL')
-depends=('libmad' 'libid3tag' 'jack' 'curl' 'libltdl' 'file')
-makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec' 'wavpack' 'libmodplug')
-optdepends=('speex: for using the speex plugin' 
-	    'ffmpeg: for using the ffmpeg plugin'
-	    'taglib: for using the musepack plugin' 
-	    'libmpcdec: for using the musepack plugin' 
-            'wavpack: for using the wavpack plugin' 
-	    'libmodplug: for using the modplug plugin')
-options=('!libtool')
-source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz{,.sig})
-sha1sums=('8ad3521d99fe6f2514907088c70e50c84ec09b46'
-          'e8b2396d99692b0c4f85971d3fa6f5aecb1eb9d3')
-
-# source PKGBUILD && mksource
-mksource() {
-  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
-  _svnver=2412
-  _svntrunk="svn://daper.net/moc/trunk"
-  _svnmod="${pkgname}-${pkgver}"
-  mkdir ${pkgname}-${pkgver}
-  pushd ${pkgname}-${pkgver}
-  svn co ${_svntrunk} --config-dir ./ -r ${_svnver} ${_svnmod}
-  find . -depth -type d -name .svn -exec rm -rf {} \;
-  tar -cJf ../${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
-  popd
-  rm -r ${pkgname}-${pkgver}
-  gpg --detach-sign --use-agent -u ${GPGKEY} ${pkgname}-${pkgver}.tar.xz
-}
-
-build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-
-# Disabling aac to use the external ffmpeg to play them (FS#13164)
-  autoreconf -i
-  ./configure --prefix=/usr --without-rcc --without-aac \
-    --with-oss  --with-alsa  --with-jack --with-mp3 \
-    --with-musepack --with-vorbis --with-flac --with-wavpack \
-    --with-sndfile --with-modplug --with-ffmpeg --with-speex \
-    --with-samplerate --with-curl --disable-debug
-  make
-}
-
-package() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-  make DESTDIR="${pkgdir}" install
-}

Copied: moc/repos/extra-i686/PKGBUILD (from rev 163141, moc/repos/testing-i686/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-07-08 09:31:55 UTC (rev 163156)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=moc
+pkgver=20120224
+pkgrel=2
+pkgdesc="An ncurses console audio player with support for the mp3, ogg, and wave formats"
+arch=('i686' 'x86_64')
+url="http://moc.daper.net/"
+license=('GPL')
+depends=('libmad' 'libid3tag' 'jack' 'curl' 'libltdl' 'file')
+makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec' 'wavpack' 'libmodplug')
+optdepends=('speex: for using the speex plugin' 
+	    'ffmpeg: for using the ffmpeg plugin'
+	    'taglib: for using the musepack plugin' 
+	    'libmpcdec: for using the musepack plugin' 
+            'wavpack: for using the wavpack plugin' 
+	    'libmodplug: for using the modplug plugin')
+options=('!libtool')
+source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('8ad3521d99fe6f2514907088c70e50c84ec09b46'
+          'e8b2396d99692b0c4f85971d3fa6f5aecb1eb9d3')
+
+# source PKGBUILD && mksource
+mksource() {
+  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+  _svnver=2412
+  _svntrunk="svn://daper.net/moc/trunk"
+  _svnmod="${pkgname}-${pkgver}"
+  mkdir ${pkgname}-${pkgver}
+  pushd ${pkgname}-${pkgver}
+  svn co ${_svntrunk} --config-dir ./ -r ${_svnver} ${_svnmod}
+  find . -depth -type d -name .svn -exec rm -rf {} \;
+  tar -cJf ../${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
+  popd
+  rm -r ${pkgname}-${pkgver}
+  gpg --detach-sign --use-agent -u ${GPGKEY} ${pkgname}-${pkgver}.tar.xz
+}
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+# Disabling aac to use the external ffmpeg to play them (FS#13164)
+  autoreconf -i
+  ./configure --prefix=/usr --without-rcc --without-aac \
+    --with-oss  --with-alsa  --with-jack --with-mp3 \
+    --with-musepack --with-vorbis --with-flac --with-wavpack \
+    --with-sndfile --with-modplug --with-ffmpeg --with-speex \
+    --with-samplerate --with-curl --disable-debug
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2012-07-08 09:31:52 UTC (rev 163155)
+++ extra-x86_64/PKGBUILD	2012-07-08 09:31:55 UTC (rev 163156)
@@ -1,56 +0,0 @@
-# $Id$
-# Maintainer: Eric Bélanger <eric at archlinux.org>
-
-pkgname=moc
-pkgver=20120224
-pkgrel=1
-pkgdesc="An ncurses console audio player with support for the mp3, ogg, and wave formats"
-arch=('i686' 'x86_64')
-url="http://moc.daper.net/"
-license=('GPL')
-depends=('libmad' 'libid3tag' 'jack' 'curl' 'libltdl' 'file')
-makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec' 'wavpack' 'libmodplug')
-optdepends=('speex: for using the speex plugin' 
-	    'ffmpeg: for using the ffmpeg plugin'
-	    'taglib: for using the musepack plugin' 
-	    'libmpcdec: for using the musepack plugin' 
-            'wavpack: for using the wavpack plugin' 
-	    'libmodplug: for using the modplug plugin')
-options=('!libtool')
-source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz{,.sig})
-sha1sums=('8ad3521d99fe6f2514907088c70e50c84ec09b46'
-          'e8b2396d99692b0c4f85971d3fa6f5aecb1eb9d3')
-
-# source PKGBUILD && mksource
-mksource() {
-  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
-  _svnver=2412
-  _svntrunk="svn://daper.net/moc/trunk"
-  _svnmod="${pkgname}-${pkgver}"
-  mkdir ${pkgname}-${pkgver}
-  pushd ${pkgname}-${pkgver}
-  svn co ${_svntrunk} --config-dir ./ -r ${_svnver} ${_svnmod}
-  find . -depth -type d -name .svn -exec rm -rf {} \;
-  tar -cJf ../${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
-  popd
-  rm -r ${pkgname}-${pkgver}
-  gpg --detach-sign --use-agent -u ${GPGKEY} ${pkgname}-${pkgver}.tar.xz
-}
-
-build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-
-# Disabling aac to use the external ffmpeg to play them (FS#13164)
-  autoreconf -i
-  ./configure --prefix=/usr --without-rcc --without-aac \
-    --with-oss  --with-alsa  --with-jack --with-mp3 \
-    --with-musepack --with-vorbis --with-flac --with-wavpack \
-    --with-sndfile --with-modplug --with-ffmpeg --with-speex \
-    --with-samplerate --with-curl --disable-debug
-  make
-}
-
-package() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-  make DESTDIR="${pkgdir}" install
-}

Copied: moc/repos/extra-x86_64/PKGBUILD (from rev 163141, moc/repos/testing-x86_64/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-07-08 09:31:55 UTC (rev 163156)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=moc
+pkgver=20120224
+pkgrel=2
+pkgdesc="An ncurses console audio player with support for the mp3, ogg, and wave formats"
+arch=('i686' 'x86_64')
+url="http://moc.daper.net/"
+license=('GPL')
+depends=('libmad' 'libid3tag' 'jack' 'curl' 'libltdl' 'file')
+makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec' 'wavpack' 'libmodplug')
+optdepends=('speex: for using the speex plugin' 
+	    'ffmpeg: for using the ffmpeg plugin'
+	    'taglib: for using the musepack plugin' 
+	    'libmpcdec: for using the musepack plugin' 
+            'wavpack: for using the wavpack plugin' 
+	    'libmodplug: for using the modplug plugin')
+options=('!libtool')
+source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('8ad3521d99fe6f2514907088c70e50c84ec09b46'
+          'e8b2396d99692b0c4f85971d3fa6f5aecb1eb9d3')
+
+# source PKGBUILD && mksource
+mksource() {
+  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+  _svnver=2412
+  _svntrunk="svn://daper.net/moc/trunk"
+  _svnmod="${pkgname}-${pkgver}"
+  mkdir ${pkgname}-${pkgver}
+  pushd ${pkgname}-${pkgver}
+  svn co ${_svntrunk} --config-dir ./ -r ${_svnver} ${_svnmod}
+  find . -depth -type d -name .svn -exec rm -rf {} \;
+  tar -cJf ../${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
+  popd
+  rm -r ${pkgname}-${pkgver}
+  gpg --detach-sign --use-agent -u ${GPGKEY} ${pkgname}-${pkgver}.tar.xz
+}
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+# Disabling aac to use the external ffmpeg to play them (FS#13164)
+  autoreconf -i
+  ./configure --prefix=/usr --without-rcc --without-aac \
+    --with-oss  --with-alsa  --with-jack --with-mp3 \
+    --with-musepack --with-vorbis --with-flac --with-wavpack \
+    --with-sndfile --with-modplug --with-ffmpeg --with-speex \
+    --with-samplerate --with-curl --disable-debug
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}




More information about the arch-commits mailing list